// test.h

/* Author:  Marty Kraimer Date:    07MAY2002 */
 
/*************************************************************************
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory, and the Regents of the University of California, as
* Operator of Los Alamos National Laboratory. MPF is distributed
* subject to a Software License Agreement found in file LICENSE that
* is included with this distribution.
*************************************************************************/
#ifndef testH
#define testH

extern "C" {
int initClientChar8Array(
    const char *server,int slot,int32 clientChar8ArraySize,double delay);
int initClientInt32(const char *server,int slot,int ntoBuffer,double delay);
int initServerChar8Array(const char *serverName,int queueSize);
int initServerInt32(const char *serverName,int queueSize);
int initMessageTest(int ntimes);
int initTcpTest(int isServer,int port,const char *address,int bufferSize);
int initTcpTestWait(int isServer,int port,const char *address,int bufferSize,int nvalues);
extern int clientChar8ArrayDebug;
extern int clientInt32Debug;
extern int serverChar8ArrayDebug;
extern int serverInt32Debug;
extern int tcpTestDebug;
int tcpTestStats(void);
extern int tcpTestWaitDebug;
extern int tcpTestWaitNvalues;
int tcpTestWaitStats(void);
} // extern "C"

#endif /* testH */
